config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/profile.d/vdpau-va-gl.sh.new
config etc/profile.d/vdpau-va-gl.csh.new
( cd usr/lib64/vdpau ; rm -rf libvdpau_va_gl.so )
( cd usr/lib64/vdpau ; ln -sf libvdpau_va_gl.so.1 libvdpau_va_gl.so )
